package com.example.shawarma.data.interfaces.dao

import androidx.room.Dao
import androidx.room.Delete
import androidx.room.Insert
import androidx.room.Query
import androidx.room.Update
import com.example.shawarma.data.models.OrderProductModel
@Dao
interface OrderProductDao {
    @Insert
    suspend fun insert(order: OrderProductModel)
    @Update
    suspend fun update(order: OrderProductModel)
    @Query("delete from order_product WHERE product_id = :productId")
    suspend fun deleteByProductId(productId: Int);
    @Delete
    suspend fun delete(order: OrderProductModel)
}